package com.shkj.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shkj.common.core.domain.entity.BaseBranch;
import com.shkj.common.core.domain.entity.SysUser;

import java.util.List;

/**
 * 仓库信息Mapper接口
 *
 * @author lch
 * @date 2022-03-28
 */
public interface BaseBranchMapper extends BaseMapper<BaseBranch> {

    Integer countUserBranchById(Long branchId);

    Integer deleteBranchByIds(Long[] ids);

    List<BaseBranch> optionBranchByUserName(String userName);

    Integer getConsignorCount(Long branchId);

    List<SysUser> getUserList(String userName);

    Integer copyDictTypeByBranch(Long branchId);

    Integer copyDictDataByBranch(Long branchId);

    Integer copyParameterByBranch(Long branchId);


    Integer copySeqManaByBranch(Long branchId);
}
